program SumDigits;
  var N:longint;
      d,S:byte;
begin
  write('N=');readln(N);
  S:=0;
  while N>0 do begin
    d:=N mod 10;
    S:=S+d;
    N:=N div 10;
  end;
  writeln('Сумма цифр = ',S);
  writeln('Нажмите клавишу Enter ...');
  readln;
end.
